# Uses of Class
org.apache.lucene.codecs.blockterms.TermsIndexWriterBase.FieldWriter

Packages that use TermsIndexWriterBase.FieldWriter
Package
Description
org.apache.lucene.codecs.blockterms
Pluggable term index / block terms dictionary implementations.

- ## Uses of TermsIndexWriterBase.FieldWriter in org.apache.lucene.codecs.blockterms

  Methods in org.apache.lucene.codecs.blockterms that return TermsIndexWriterBase.FieldWriter
  Modifier and Type
  Method
  Description
  `TermsIndexWriterBase.FieldWriter`
  FixedGapTermsIndexWriter.`addField(FieldInfo field, long termsFilePointer)`
  `abstract TermsIndexWriterBase.FieldWriter`
  TermsIndexWriterBase.`addField(FieldInfo fieldInfo, long termsFilePointer)`
  `TermsIndexWriterBase.FieldWriter`
  VariableGapTermsIndexWriter.`addField(FieldInfo field, long termsFilePointer)`